<%@ Page Language="C#"
    MasterPageFile="~/Resources/MasterPages/Modal.Master"
    CodeBehind="Privilege.aspx.cs"
    Inherits="Inedo.BuildMaster.Web.WebApplication.Administration.Security.Privilege"
    Title="Add Privilege" %>


<asp:Content ID="AdditionalHeadContent" ContentPlaceHolderID="AdditionalHeadContent" runat="server">
    <style type="text/css">
        #<%=chklRoles.ClientID%> td {padding:0px;}
    </style>
</asp:Content>
<asp:Content ContentPlaceHolderID="MainContent" runat="server">

    <bm:InfoBox runat="server" ID="ctlError" Visible="false" BoxType="Error" />    
    <bm:FormFieldGroup runat="server" Narrow="true">
        <Description Heading="Principal(s)">
            A principal is a user or a group that can belong to a role.
        </Description>
        <FormFields>
            <bm:StandardFormField runat="server">
                <FieldContent>
                    <bm:DirectoryBrowser 
                        runat="server" ID="ctlPrincipals" 
                        DisplayMode="UsersAndGroups"
                        Required="true"
                         />
                </FieldContent>
            </bm:StandardFormField>
        </FormFields>
    </bm:FormFieldGroup>

    <bm:FormFieldGroup runat="server" Narrow="true">
        <Description Heading="Roles">
            Select the roles that you'd like to apply to the selected users or groups.
        </Description>
        <FormFields>
            <bm:StandardFormField runat="server">
                <FieldContent>
                    <asp:CheckBoxList runat="server" ID="chklRoles" />
                    <bm:StyledCustomValidator runat="server"
                        id="vcst_chklRoles" 
                        OnServerValidate="vcst_chklRoles_ServerValidate"
                        />
                </FieldContent>
            </bm:StandardFormField>
        </FormFields>
    </bm:FormFieldGroup>

    <bm:FormFieldGroup runat="server" Narrow="true" EndGroup="true">
        <Description Heading="Privilege Options:">
            Deny takes precedence over Grant.
        </Description>
        <FormFields>
            <bm:StandardFormField runat="server" LabelText="Grant or Deny:">
                <FieldContent>
                    <asp:DropDownList runat="server" ID="ddlGrantOrDeny">
                        <asp:ListItem Text="Grant" Value="G" />
                        <asp:ListItem Text="Deny" Value="D" />
                    </asp:DropDownList>
                    <bm:UpgradeOverviewSlim runat="server" ID="ctlLicensing" />
                </FieldContent>
            </bm:StandardFormField>

            <bm:StandardFormField runat="server" LabelText="Application Group Scope:">
                <FieldContent>
                    <asp:DropDownList runat="server" ID="ddlApplicationGroup">
                        <asp:ListItem Value="0">(All Application Groups)</asp:ListItem>
                    </asp:DropDownList>
                </FieldContent>
            </bm:StandardFormField>

            <bm:StandardFormField runat="server" LabelText="Application Scope:">
                <FieldContent>
                    <asp:DropDownList runat="server" ID="ddlApplication">
                        <asp:ListItem Value="0">(All Applications)</asp:ListItem>
                    </asp:DropDownList>
                </FieldContent>
            </bm:StandardFormField>
            
            <bm:StandardFormField runat="server" LabelText="Environment Scope:">
                <FieldContent>
                    <asp:DropDownList runat="server" ID="ddlEnvironment">
                        <asp:ListItem Value="0">(All Environments)</asp:ListItem>
                    </asp:DropDownList>
                </FieldContent>
            </bm:StandardFormField>            
            
        </FormFields>
    </bm:FormFieldGroup>

    <div class="action-button-container">

    <asp:Button runat="server"
        ID="btnSave"
        OnClick="btnSave_Click"
        Text="Save"
        CssClass="button" />
    <bm:CloseModalButtonLink runat="server" Text="Cancel" />
    
    </div>

</asp:Content>
